# classes/phing/tasks/system/condition/NotCondition.php

<not> condition.

Evaluates to true if the single condition nested into it is false and vice versa.

access
  public
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

## \NotCondition
jump to top

<not> condition.

Evaluates to true if the single condition nested into it is false and vice versa.

Extends from
  \ConditionBase
Implements
  \Condition
access
  public
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Methods

`evaluate( ) :`
Documentation was generated by DocBlox 0.13.1.